classification
Title: Add escape to the glossary?
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: docs@python Nosy List: akuchling, docs@python, mdk, methane, python-dev, rhettinger, serhiy.storchaka
Priority: low Keywords: easy, patch

Created on 2020-05-07 21:36 by mdk, last changed 2020-10-20 14:08 by akuchling. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22342 closed python-dev, 2020-09-28 21:05
Messages (6)
msg368382 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2020-05-07 21:36
Geoff Cutter noticed via docs@ that escape is not defined in the glossary.

I concur with the idea of adding it, opening as an "easy" issue, even if finding a good definition might not be that easy.
msg368402 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2020-05-08 02:20
There are many "escape"; JSON, HTML, SQL, Python string literal, ESC-key, escape sequence in the terminal, etc...

Is there a consistent meaning of "escape" in the context of Python?
msg377634 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-09-28 22:10
For the reasons mentioned by Inada, I don't think this should be added.  

The term "escape" means many different things in different contexts.  To the extent the term needs to be defined, it should be done in the docs for those contexts (i.e. regular expression escapes should be talked about in the regex docs).

Side note:  It is not the purpose of the glossary to define every term in computer science.  The more fluff we add to the glossary, the harder it becomes to rely the glossary and learn Python specific terms.
msg377638 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-09-28 22:21
I concur with Raymond. Are there problems with understanding the term "escape" in some context? If yes, then we perhaps need to clarify the corresponding place in the documentation. But if there is a problem with understanding the general word "escape", I think we should not do anything.
msg377649 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-09-29 01:07
s/rely/read/
msg379127 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2020-10-20 14:08
Closing issue, since the consensus is to not add the term.
History
Date User Action Args
2020-10-20 14:08:47akuchlingsetstatus: open -> closed

nosy: + akuchling
messages: + msg379127

resolution: wont fix
stage: patch review -> resolved
2020-09-29 01:07:04rhettingersetmessages: + msg377649
2020-09-28 22:21:15serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg377638
2020-09-28 22:10:32rhettingersetnosy: + rhettinger
messages: + msg377634
2020-09-28 21:05:28python-devsetkeywords: + patch
nosy: + python-dev

pull_requests: + pull_request21472
stage: patch review
2020-05-08 02:20:38methanesetnosy: + methane
messages: + msg368402
2020-05-07 21:36:57mdkcreate